MsWksDBParserInternal::DataBase Class Reference

the database More...

## Public Member Functions

| DataBase ()
| constructor
std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize) const
| convert the m_widthCols in a vector of of point size

## Public Attributes

int | m_numFields
| the number of fields
int | m_numRecords
| the number of records
std::vector< FieldType > | m_listFieldTypes
| the list of field type
std::vector< std::vector< MWAWCellContent > > | m_listRecords
| the list of record by row

## Detailed Description

the database

## Constructor & Destructor Documentation

## DataBase()

MsWksDBParserInternal::DataBase::DataBase | ( |  | ) |

inline

constructor

## Member Function Documentation

## convertInPoint()

std::vector< float > MsWksDBParserInternal::DataBase::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize ) const

inline

convert the m_widthCols in a vector of of point size

## Member Data Documentation

## m_listFieldTypes

std::vector<FieldType> MsWksDBParserInternal::DataBase::m_listFieldTypes

the list of field type

Note
  which begins by an unused field

Referenced by convertInPoint(), and DataBase().

## m_listRecords

std::vector<std::vector<MWAWCellContent> > MsWksDBParserInternal::DataBase::m_listRecords

the list of record by row

Referenced by DataBase().

## m_numFields

int MsWksDBParserInternal::DataBase::m_numFields

the number of fields

Referenced by DataBase().

## m_numRecords

int MsWksDBParserInternal::DataBase::m_numRecords

the number of records

Referenced by DataBase().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx